Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		i2c-tools
#Epoch:		0
Version:	3.0.3
Release:	1
License:	GNU/GPLv2
URL:		http://www.lm-sensors.org/wiki/I2CTools
Group:		System/Configuration/Hardware
Summary:	tools for accessing I2C hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		i2c-tools-3.0.3-config.patch
# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: perl

%description
The I2C tools that used to be part of the lm-sensors package have been split to a separate package. The rationale for that move is that not all hardware monitoring chips are I2C devices, and not all I2C devices are hardware monitoring chips, so having everything in a single package was confusing and impractical.

The i2c-tools package contains a heterogeneous set of I2C tools for Linux: a bus probing tool, a chip dumper, register-level SMBus access helpers, EEPROM decoding scripts, EEPROM programming tools, and a python module for SMBus access.



%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ddcmon
%{_bindir}/decode-dimms
%{_bindir}/decode-edid
%{_bindir}/decode-vaio
%{_sbindir}/i2cdetect
%{_sbindir}/i2cdump
%{_sbindir}/i2cget
%{_sbindir}/i2cset
%{_sbindir}/i2c-stub-from-dump
%{_mandir}/man8/i2cdetect.8.gz
%{_mandir}/man8/i2cdump.8.gz
%{_mandir}/man8/i2cget.8.gz
%{_mandir}/man8/i2cset.8.gz
%{_mandir}/man8/i2c-stub-from-dump.8.gz
# already included in kernel-header package
%exclude %{_includedir}/linux/i2c-dev.h

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 2c-tools-3.0.3-1
- initial CCux package release
